Foxit PDF SDK

Public Member Functions | List of all members
FoxitPDFSDKPython2.TaggedPDF Class Reference
Inheritance diagram for FoxitPDFSDKPython2.TaggedPDF:

## Public Member Functions
def | TaggedPDF (doc)
| Constructor. More...
def | TaggedPDF (other)
| Constructor, with another tagged PDF object. More...
def | GetFigureAlternateText (figure_index)
| Get the alternate text of the figure. More...
def | GetFigureCount ()
| Get the count of figures in tagged document, excluding the decorative figures. More...
def | GetFigurePageIndex (figure_index)
| Get the figure page index by the figure index. More...
def | GetFigureRect (figure_index)
| Get the rectangle of figure. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...
def | SetAsDecorativeFigure (figure_index)
| Decorate the figure.The decorative figure can not set alternate text. More...
def | SetCallback (callback)
| Set a callback object for tagged PDF. More...
def | SetFigureAlternateText (figure_index, alternate_text)
| Set figure alternate text. More...
def | StartTagDocument (pause)
| Start to auto tag the given PDF document with specified tagged settings. More...

## Detailed Description

This class represents settings for a tagged PDF document.The tagged PDF means that only tagging information for PDF structure here. Before using any class or methods in this module, please ensure Foxit PDF SDK has been initialized successfully by function FoxitPDFSDKPython2.Library.Initialize with a key including "Accessibility" module.

See also
  FoxitPDFSDKPython2.Library

## Constructor & Destructor Documentation

## ◆ TaggedPDF() [1/2]

def FoxitPDFSDKPython2.TaggedPDF.TaggedPDF | ( |  | doc | ) |

Constructor.

Parameters

  [in] | doc | A valid PDF document object to be tagged.

This constructor is to construct a tagged PDF object with default settings.

## ◆ TaggedPDF() [2/2]

def FoxitPDFSDKPython2.TaggedPDF.TaggedPDF | ( |  | other | ) |

Constructor, with another tagged PDF object.

Parameters

  [in] | other | Another tagged PDF object.

## Member Function Documentation

## ◆ GetFigureAlternateText()

def FoxitPDFSDKPython2.TaggedPDF.GetFigureAlternateText | ( |  | figure_index | ) |

Get the alternate text of the figure.

The alternate text is the human-readable text, the PDF documents can be enhanced by providing alternate text for images, formulas, or other items that do not translate naturally into text. The function is only used for a tagged PDF document. Please call function FoxitPDFSDKPython2.PDFDoc.IsTaggedPDF to check current PDF document whether is a tagged PDF document.

Parameters

  [in] | figure_index | The index of figure. Valid range: from 0 to (count-1). count is returned by function FoxitPDFSDKPython2.TaggedPDF.GetFigureCount .

Returns
  The alternative descriptions text.

## ◆ GetFigureCount()

def FoxitPDFSDKPython2.TaggedPDF.GetFigureCount | ( |  | ) |

Get the count of figures in tagged document, excluding the decorative figures.

The function is only used for a tagged PDF document. Please call function FoxitPDFSDKPython2.PDFDoc.IsTaggedPDF to check current PDF document whether is a tagged PDF document.

Returns
  The count of figures.

## ◆ GetFigurePageIndex()

def FoxitPDFSDKPython2.TaggedPDF.GetFigurePageIndex | ( |  | figure_index | ) |

Get the figure page index by the figure index.

The function is only used for a tagged PDF document. Please call function FoxitPDFSDKPython2.PDFDoc.IsTaggedPDF to check current PDF document whether is a tagged PDF document.

Parameters

  [in] | figure_index | The index of figure. Valid range: from 0 to (count-1). count is returned by function FoxitPDFSDKPython2.TaggedPDF.GetFigureCount .

Returns
  The page index. Valid value would starts from 0. If there is any error, this function will return -1.

## ◆ GetFigureRect()

def FoxitPDFSDKPython2.TaggedPDF.GetFigureRect | ( |  | figure_index | ) |

Get the rectangle of figure.

The function is only used for a tagged PDF document. Please call function FoxitPDFSDKPython2.PDFDoc.IsTaggedPDF to check current PDF document whether is a tagged PDF document.

Parameters

  [in] | figure_index | The index of figure. Valid range: from 0 to (count-1). count is returned by function FoxitPDFSDKPython2.TaggedPDF.GetFigureCount .

Returns
  The figure rectangle.If there is any error, this function will return an empty rectangle.

## ◆ IsEmpty()

def FoxitPDFSDKPython2.TaggedPDF.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ SetAsDecorativeFigure()

def FoxitPDFSDKPython2.TaggedPDF.SetAsDecorativeFigure | ( |  | figure_index | ) |

Decorate the figure.The decorative figure can not set alternate text.

The function is only used for a tagged PDF document. Please call function FoxitPDFSDKPython2.PDFDoc.IsTaggedPDF to check current PDF document whether is a tagged PDF document.

Parameters

  [in] | figure_index | The index of figure. Valid range: from 0 to (count-1). count is returned by function FoxitPDFSDKPython2.TaggedPDF.GetFigureCount .

Returns
  true means decorate figure successed, while false means not.

## ◆ SetCallback()

def FoxitPDFSDKPython2.TaggedPDF.SetCallback | ( |  | callback | ) |

Set a callback object for tagged PDF.

If this function is not called, that means no callback will be used.

Parameters

  [in] | callback | A TaggedPDFCallback object which is implemented by user. User can change some information/data during tagged PDF document by this callback. Please ensure that the callback object keeps valid until the life-cycle of current tagged PDF object ends. If this is null, that means to use default information/data.

Returns
  None.

## ◆ SetFigureAlternateText()

def FoxitPDFSDKPython2.TaggedPDF.SetFigureAlternateText | ( |  | figure_index,
|  |  | alternate_text
| ) |  |

Set figure alternate text.

The alternate text is the human-readable text, the PDF documents can be enhanced by providing alternate text for images, formulas, or other items that do not translate naturally into text. The function is only used for a tagged PDF document. Please call function FoxitPDFSDKPython2.PDFDoc.IsTaggedPDF to check current PDF document whether is a tagged PDF document.

Parameters

  [in] | figure_index | The index of figure. Valid range: from 0 to (count-1). count is returned by function FoxitPDFSDKPython2.TaggedPDF.GetFigureCount .
  [in] | alternate_text | The alternative descriptions text.

Returns
  None.

## ◆ StartTagDocument()

def FoxitPDFSDKPython2.TaggedPDF.StartTagDocument | ( |  | pause | ) |

Start to auto tag the given PDF document with specified tagged settings.

If user wants to get specific tag results when tagging document process, please refer to function FoxitPDFSDKPython2.TaggedPDF.SetCallback about callback function FoxitPDFSDKPython2.TaggedPDFCallback.Report .

Parameters

  [in] | pause | Pause object which decides if the auto tagging process needs to be paused. This can be null which means not to pause during the tagging process. If this is not null, it should be a valid pause object implemented by user. Default value: null.

Returns
  A progressive object. Please check the rate of current progress by function FoxitPDFSDKPython2.Progressive.GetRateOfProgress . If the rate is not 100 yet, call function FoxitPDFSDKPython2.Progressive.Continue to continue the progress until the progress is finished.